import request from '@/utils/request'

// 创建HIS项目
export function createXytjjg(data) {
  return request({
    url: '/system/xytjjg/create',
    method: 'post',
    data: data
  })
}

// 更新HIS项目
export function updateXytjjg(data) {
  return request({
    url: '/system/xytjjg/update',
    method: 'put',
    data: data
  })
}

// 删除HIS项目
export function deleteXytjjg(id) {
  return request({
    url: '/system/xytjjg/delete?id=' + id,
    method: 'delete'
  })
}

// 获得HIS项目
export function getXytjjg(id) {
  return request({
    url: '/system/xytjjg/get?id=' + id,
    method: 'get'
  })
}

// 获得HIS项目分页
export function getXytjjgPage(query) {
  return request({
    url: '/system/xytjjg/page',
    method: 'get',
    params: query
  })
}

// 导出HIS项目 Excel
export function exportXytjjgExcel(query) {
  return request({
    url: '/system/xytjjg/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

export function getXytjjgAll(value) {
  return request({
    url: '/system/xytjjg/getall',
    method: 'get',
    params: value,
  })
}

